CREATE TABLE cml_invoice_charge_ref_types (
    INVOICE_CHARGE_REF_ID         NUMBER(18, 0),
    PRC_BU_ID                     NUMBER(18, 0),
    INVOICE_ID                    NUMBER(18, 0)    NOT NULL,
    INVOICE_LINE_NUMBER           NUMBER(18, 0)    NOT NULL,
    CHARGE_REF_TYPE_ID            NUMBER(18, 0)    NOT NULL,
    CHARGE_REF_VALUE_DATA_TYPE    VARCHAR2(120),
    REFERENCE_TYPE_VARCHAR        VARCHAR2(256),
    REFERENCE_TYPE_NUMBER         NUMBER       ,
    REFERENCE_TYPE_TIMESTAMP      TIMESTAMP(6) ,
    USER_COMMENT                  VARCHAR2(960),
    PREDEFINED_FLAG               VARCHAR2(24) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    INVOICE_CHARGE_REF_ID         NUMBER(18, 0),
    PRC_BU_ID                     NUMBER(18, 0),
    INVOICE_ID                    NUMBER(18, 0)    NOT NULL,
    INVOICE_LINE_NUMBER           NUMBER(18, 0)    NOT NULL,
    CHARGE_REF_TYPE_ID            NUMBER(18, 0)    NOT NULL,
    CHARGE_REF_VALUE_DATA_TYPE    VARCHAR2(120),
    REFERENCE_TYPE_VARCHAR        VARCHAR2(256),
    REFERENCE_TYPE_NUMBER         NUMBER       ,
    REFERENCE_TYPE_TIMESTAMP      TIMESTAMP(6) ,
    USER_COMMENT                  VARCHAR2(960),
    PREDEFINED_FLAG               VARCHAR2(24) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CONSTRAINT pk_cml_invoice_charge_ref_types PRIMARY KEY (INVOICE_CHARGE_REF_ID, INVOICE_CHARGE_REF_ID)
);
